<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myCommunicationEventDeliveryLabel" jhiTranslate="mpmApp.communicationEventDelivery.home.createLabel">Create a Communication Event Delivery</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!communicationEventDelivery.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="communicationEventDelivery.id" readonly />
        </div>
        <p-tabView class="form-shipment" header="Survey D-CSL H1">
            <div class="row maximum-width-p-list">
                <div class="col-md-12">
                    <p-accordion>
                        <p-accordionTab header="A.Profil Dealer">
                            <div class="row">
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">A1.Nama Dealer</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="dealerName" id="field_dealerName" [(ngModel)]="communicationEventDelivery.dealerName" />
                                </div>
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">A2.Kode Dealer</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="idDealer" id="field_idDealer" [(ngModel)]="communicationEventDelivery.idDealer" />

                                </div>
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">A3.Kode Bisnis</label>
                                </div>
                                <div class="col-md-8">
                                    <div class="ui-g-4">
                                        <p-radioButton name="group1" value="H1" label="H1" [(ngModel)]="communicationEventDelivery.bussinessCode"></p-radioButton>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-radioButton name="group1" value="H12" label="H12" [(ngModel)]="communicationEventDelivery.bussinessCode"></p-radioButton>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-radioButton name="group1" value="H23" label="H23" [(ngModel)]="communicationEventDelivery.bussinessCode"></p-radioButton>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">A4.Alamat Dealer</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="dealerAddress" id="field_dealerAddress" [(ngModel)]="communicationEventDelivery.dealerAddress" />
                                </div>
                            </div>
                        </p-accordionTab>
                        <p-accordionTab header="B.Screening Test">
                            <div class="row">
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">B1. Apakah Anda datang ke dealer(sesuai A1 dan A4) saat pembelian sepeda motor yang terakhir kali ?</label>
                                    <div>
                                        <div class="ui-g-4">
                                            <p-radioButton name="B1" value="Y" label="Ya" [(ngModel)]="communicationEventDelivery.b1"></p-radioButton>
                                        </div>
                                        <div class="ui-g-4">
                                            <p-radioButton name="B1" value="T" label="Tidak" [(ngModel)]="communicationEventDelivery.b1"></p-radioButton>
                                        </div>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">B2. Apakah Anda saat ini sudah menerima Notice Pajak/STNK dari sepeda motor Honda yang terakhir dibeli di dealer(sesuai A1 dan A4) ?</label>
                                    <div>
                                        <div class="ui-g-4">
                                            <p-radioButton name="B2" value="Y" label="Ya" [(ngModel)]="communicationEventDelivery.b2" inputId="opt3"></p-radioButton>
                                        </div>
                                        <div class="ui-g-4">
                                            <p-radioButton name="B2" value="T" label="Tidak" [(ngModel)]="communicationEventDelivery.b2" inputId="opt3"></p-radioButton>
                                        </div>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">B3. Apakah Anda datang ke dealer (sesuai A1 dan A4) saat pengambilan Notice Pajak/STNK ?</label>
                                    <div>
                                        <div class="ui-g-4">
                                            <p-radioButton name="B3" value="Y" label="Ya" [(ngModel)]="communicationEventDelivery.b3" inputId="opt4"></p-radioButton>
                                        </div>
                                        <div class="ui-g-4">
                                            <p-radioButton name="B3" value="T" label="Tidak" [(ngModel)]="communicationEventDelivery.b3" inputId="opt4"></p-radioButton>
                                        </div>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">B4. Apakah dengan Anda sendiri yang menerima unit SMH saat pengiriman ?</label>
                                    <div>
                                        <div class="ui-g-4">
                                            <p-radioButton name="B4" value="Y" label="Ya" [(ngModel)]="communicationEventDelivery.b4" inputId="opt5"></p-radioButton>
                                        </div>
                                        <div class="ui-g-4">
                                            <p-radioButton name="B4" value="T" label="Tidak" [(ngModel)]="communicationEventDelivery.b4" inputId="opt5"></p-radioButton>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </p-accordionTab>
                        <p-accordionTab header="C.Pertanyaan Utama">
                            <div class="row">
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">C1. Bagaimana penilaian Anda terhadap pelayanan yang diberikan oleh dealer resmi Honda (sesuai A1 dan A4) ?</label>
                                    <label style="margin:10px 5px">kepuasan</label>
                                    <label style="margin:10px 5px">STP : Sangat Tidak Puas. P : Puas. TP : Tidak Puas. SP : Sangat Puas. CP : Cukup Puas.</label>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">1. Kemudahan dalam menemukan Lokasi showroom/dealer resmi Honda (Lokasi, telepon, jam kerja)</label>
                                    <!-- <div class="ui-g-12"> -->
                                    <div class="ui-g-2">
                                        <p-radioButton name="group112" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c11Rate"></p-radioButton>
                                    </div>
                                    <div class="ui-g-2">
                                        <p-radioButton name="group112" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c11Rate"></p-radioButton>
                                    </div>
                                    <div class="ui-g-2">
                                        <p-radioButton name="group112" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c11Rate"></p-radioButton>
                                    </div>
                                    <div class="ui-g-2">
                                        <p-radioButton name="group112" value="P" label="P" [(ngModel)]="communicationEventDelivery.c11Rate"></p-radioButton>
                                    </div>
                                    <div class="ui-g-2">
                                        <p-radioButton name="group112" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c11Rate"></p-radioButton>
                                    </div>
                                    <!-- </div> -->
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="group1122" [(ngModel)]="communicationEventDelivery.c11Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="group1123" [(ngModel)]="communicationEventDelivery.c11Hope" rows="1" id="hope"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">2. Penjelasan Petugas penjualan mengenai bengkel resmi Honda (AHASS) terdekat, jadwal servis sepeda motor, serta garansi pembelian</label>
                                    <div class="ui-g-12">
                                        <div class="ui-g-2">
                                            <p-radioButton name="C2" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c12Rate" inputId="opt7"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C2" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c12Rate" inputId="opt7"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C2" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c12Rate" inputId="opt7"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C2" value="P" label="P" [(ngModel)]="communicationEventDelivery.c12Rate" inputId="opt7"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C2" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c12Rate" inputId="opt7"></p-radioButton>
                                        </div>
                                    </div>
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="C21" [(ngModel)]="communicationEventDelivery.c12Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="C22" [(ngModel)]="communicationEventDelivery.c12Hope" rows="1" id="hope"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">3. Ketepatan waktu pengiriman/penyerahan sepeda motor sesuai yang dijanjikan</label>
                                    <div class="ui-g-12">
                                        <div class="ui-g-2">
                                            <p-radioButton name="C3" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c13Rate" inputId="opt8"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C3" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c13Rate" inputId="opt8"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C3" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c13Rate" inputId="opt8"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C3" value="P" label="P" [(ngModel)]="communicationEventDelivery.c13Rate" inputId="opt8"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C3" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c13Rate" inputId="opt8"></p-radioButton>
                                        </div>
                                    </div>
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="C31" [(ngModel)]="communicationEventDelivery.c13Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="C32" [(ngModel)]="communicationEventDelivery.c13Hope" rows="1" id="hope"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">4. Kemampuan petugas pengiriman dalam menjelaskan fungsi buku penting, buku terkait garansi servis, buku pedoman perawatan motor, dan lainnya</label>
                                    <div class="row">
                                        <div class="ui-g-2">
                                            <p-radioButton name="C4" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c14Rate" inputId="opt9"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C4" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c14Rate" inputId="opt9"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C4" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c14Rate" inputId="opt9"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C4" value="P" label="P" [(ngModel)]="communicationEventDelivery.c14Rate" inputId="opt9"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C4" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c14Rate" inputId="opt9"></p-radioButton>
                                        </div>
                                    </div>
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="C41" [(ngModel)]="communicationEventDelivery.c14Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="C42" [(ngModel)]="communicationEventDelivery.c14Hope" rows="1" id="hope"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">5. Kecekatan petugas kasir dalam melayani pembayaran tunai, kredit, atau uang muka</label>
                                    <div class="row">
                                        <div class="ui-g-2">
                                            <p-radioButton name="C5" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c15Rate" inputId="opt10"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C5" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c15Rate" inputId="opt10"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C5" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c15Rate" inputId="opt10"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C5" value="P" label="P" [(ngModel)]="communicationEventDelivery.c15Rate" inputId="opt10"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C5" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c15Rate" inputId="opt10"></p-radioButton>
                                        </div>
                                    </div>
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="C51" [(ngModel)]="communicationEventDelivery.c15Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="C52" [(ngModel)]="communicationEventDelivery.c15Hope" rows="1" id="hope"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">6. Kemudahan dalam proses Administrasi & pengambilan STNK</label>
                                    <div class="ui-g-12">
                                        <div class="ui-g-2">
                                            <p-radioButton name="C6" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c16Rate" inputId="opt11"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C6" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c16Rate" inputId="opt11"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C6" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c16Rate" inputId="opt11"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C6" value="P" label="P" [(ngModel)]="communicationEventDelivery.c16Rate" inputId="opt11"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C6" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c16Rate" inputId="opt11"></p-radioButton>
                                        </div>
                                    </div>
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="C61" [(ngModel)]="communicationEventDelivery.c16Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="C62" [(ngModel)]="communicationEventDelivery.c16Hope" rows="1" id="hope"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">7. Kemampuan petugas penjualan (sales counter) dalam menjelaskan spesifikasi produk dan menyarankan produk yang sesuai dengan kebutuhan konsumen</label>
                                    <div class="ui-g-12">
                                        <div class="ui-g-2">
                                            <p-radioButton name="C7" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c17Rate" inputId="opt12"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C7" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c17Rate" inputId="opt12"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C7" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c17Rate" inputId="opt12"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C7" value="P" label="P" [(ngModel)]="communicationEventDelivery.c17Rate" inputId="opt12"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C7" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c17Rate" inputId="opt12"></p-radioButton>
                                        </div>
                                    </div>
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="C71" [(ngModel)]="communicationEventDelivery.c17Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="C72" [(ngModel)]="communicationEventDelivery.c17Hope" rows="1" id="hope"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">8. Ketersediaan & kemudahan mendapatkan informasi produk(brosur, daftar harga, leaflet, spanduk)</label>
                                    <div class="ui-g-12">
                                        <div class="ui-g-2">
                                            <p-radioButton name="C8" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c18Rate" inputId="opt13"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C8" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c18Rate" inputId="opt13"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C8" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c18Rate" inputId="opt13"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C8" value="P" label="P" [(ngModel)]="communicationEventDelivery.c18Rate" inputId="opt13"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C8" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c18Rate" inputId="opt13"></p-radioButton>
                                        </div>
                                    </div>
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="C81" [(ngModel)]="communicationEventDelivery.c18Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="C82" [(ngModel)]="communicationEventDelivery.c18Hope" rows="1" id="hope"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">9. Keramahan dan kesopanan (senyum, salam, sapa, sopan, santun) petugas dealer bik salesman/SPG, kasir, dan petugas pengiriman.</label>
                                    <div class="ui-g-12">
                                        <div class="ui-g-2">
                                            <p-radioButton name="C9" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c19Rate" inputId="opt14"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C9" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c19Rate" inputId="opt14"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C9" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c19Rate" inputId="opt14"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C9" value="P" label="P" [(ngModel)]="communicationEventDelivery.c19Rate" inputId="opt14"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C9" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c19Rate" inputId="opt14"></p-radioButton>
                                        </div>
                                    </div>
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="C91" [(ngModel)]="communicationEventDelivery.c19Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="C92" [(ngModel)]="communicationEventDelivery.c19Hope" rows="1" id="comment"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">10. Penampilan (kerapian, kebersihan seragam) petugas dealer baik salesman/SPG, kasir, dan petugas pengiriman.</label>
                                    <div class="ui-g-12">
                                        <div class="ui-g-2">
                                            <p-radioButton name="C10" value="STP" label="STP" [(ngModel)]="communicationEventDelivery.c110Rate" inputId="opt15"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C10" value="TP" label="TP" [(ngModel)]="communicationEventDelivery.c110Rate" inputId="opt15"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C10" value="CP" label="CP" [(ngModel)]="communicationEventDelivery.c110Rate" inputId="opt15"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C10" value="P" label="P" [(ngModel)]="communicationEventDelivery.c110Rate" inputId="opt15"></p-radioButton>
                                        </div>
                                        <div class="ui-g-2">
                                            <p-radioButton name="C10" value="SP" label="SP" [(ngModel)]="communicationEventDelivery.c110Rate" inputId="opt15"></p-radioButton>
                                        </div>
                                    </div>
                                    <div>
                                        <label style="margin:10px 5px">Alasan</label>
                                        <textarea class="form-control" name="C101" [(ngModel)]="communicationEventDelivery.c110Reason" rows="1" id="comment"></textarea>
                                        <label style="margin:10px 5px">Harapan</label>
                                        <textarea class="form-control" name="C102" [(ngModel)]="communicationEventDelivery.c110Hope" rows="1" id="hope"></textarea>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">C2. Dari angka 0 - 10, seberapa mungkin Anda akan merekomendasikan dealer (sesuai A1) kepada orang lain?</label>
                                    <div class="ui-g-12">
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="1" label="1" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="2" label="2" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="3" label="3" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="4" label="4" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="5" label="5" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="6" label="6" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="7" label="7" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="8" label="8" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="9" label="9" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                        <div class="ui-g-1">
                                            <p-radioButton name="CC2" value="10" label="10" [(ngModel)]="communicationEventDelivery.c2Rate" inputId="opt16"></p-radioButton>
                                        </div>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <label style="margin:10px 5px">C3. Sebutkan 4 layanan yang anda pentingkan ketika akan membeli sepeda motor di dealer Honda</label>
                                    <div>
                                        <div>
                                            <p-checkbox name="group2" value="CC31" label="1.Penyambutan & salam oleh petugas Penjualan, Kasir dan Administrasi Pegiriman" [(ngModel)]="communicationEventDelivery.c3Option"></p-checkbox>
                                        </div>
                                        <div>
                                            <p-checkbox name="group2" value="CC32" label="2.Penampilan & keramahan petugas Penjualan, Kasir dan Administrasi, Pengiriman" [(ngModel)]="communicationEventDelivery.c3Option"></p-checkbox>
                                        </div>
                                        <div>
                                            <p-checkbox name="group2" value="CC33" label="3.Kerapian dan Kebersian showroom (tampak depan & bagian dalam)" [(ngModel)]="communicationEventDelivery.c3Option"></p-checkbox>
                                        </div>
                                        <div>
                                            <p-checkbox name="group2" value="CC34" label="4.Fasilitas & kenyamanan di showroom saat transaksi" [(ngModel)]="communicationEventDelivery.c3Option"></p-checkbox>
                                        </div>
                                        <div>
                                            <p-checkbox name="group2" value="CC35" label="5.Kejelasan informasi produk & harga yang disampaikan oleh petugas dealer" [(ngModel)]="communicationEventDelivery.c3Option"></p-checkbox>
                                        </div>
                                        <div>
                                            <p-checkbox name="group2" value="CC36" label="6.Ketepatan waktu pengiriman sepeda motor" [(ngModel)]="communicationEventDelivery.c3Option"></p-checkbox>
                                        </div>
                                        <div>
                                            <p-checkbox name="group2" value="CC37" label="7.Penjelasan One Heart Card (Cara aktivasi kartu & manfaat nya) oleh petugas dealer" [(ngModel)]="communicationEventDelivery.c3Option"></p-checkbox>
                                        </div>
                                        <div>
                                            <p-checkbox name="group2" value="CC38" label="8.Ketepatan waktu penyerahan STNK" [(ngModel)]="communicationEventDelivery.c3Option"></p-checkbox>
                                        </div>
                                        <div>
                                            <p-checkbox name="group2" value="CC39" label="9.Penjelasan After Sales Service (Masa garansi, Masa service KPB, Estimasi STNK/BPKB jadi)" [(ngModel)]="communicationEventDelivery.c3Option"></p-checkbox>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </p-accordionTab>
                        <p-accordionTab header="D.Profil Responden">
                            <div class="row">
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">D1.Nama Responden</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="d1Name" id="field_d1Name" [(ngModel)]="communicationEventDelivery.d1Name" />
                                </div>
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">D2.Jenis Kelamin</label>
                                </div>
                                <div class="col-md-8">
                                    <div class="ui-g-4">
                                        <p-radioButton name="jk" value="Laki-laki" label="Laki-laki" [(ngModel)]="communicationEventDelivery.d2Gender" inputId="opt17"></p-radioButton>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-radioButton name="jk" value="Perempuan" label="Perempuan" [(ngModel)]="communicationEventDelivery.d2Gender" inputId="opt17"></p-radioButton>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">D3.Usia</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="number" class="form-control" name="d3Age" id="field_d3Age" [(ngModel)]="communicationEventDelivery.d3Age" />
                                </div>
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">D4.No. Handphone</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="d4Phone" id="field_d4Phone" [(ngModel)]="communicationEventDelivery.d4Phone" />
                                </div>
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">D5.Tipe Sepeda Motor</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="d5Vehicle" id="field_d5Vehicle" [(ngModel)]="communicationEventDelivery.d5Vehicle" />
                                </div>
                                <div class="col-md-4">
                                    <label class="form-control-label" for="field_dateCreate">D6.Pendidikan terakhir</label>
                                </div>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="d6Education" id="field_d6Education" [(ngModel)]="communicationEventDelivery.d6Education" />
                                </div>
                            </div>
                        </p-accordionTab>
                    </p-accordion>
                    <!-- <div class="btn-filter-wrapper">
                                    <button type="submit" class="btn btn-secondary btn-filter">
                                                    <span>Submit</span>
                                                </button>
                                </div>
                                <div class="btn-filter-wrapper">
                                    <button type="button" class="btn btn-danger btn-filter" onclick="previousState()">
                                                    <span>Kembali</span>
                                                </button>
                                </div> -->
                </div>
            </div>
        </p-tabView>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>